Geometry File Reference
`#include <osg/Drawable>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/Array>`
`#include <osg/PrimitiveSet>`

Go to the source code of this file.

## Classes

class | osg::Geometry
class | osg::ConfigureBufferObjectsVisitor

## Namespaces

namespace | osg

## Macros

#define | OSG_GEOMETRY 1
#define | OSG_DEPRECATED_GEOMETRY_BINDING 1

## Functions

OSG_EXPORT Geometry * | osg::createTexturedQuadGeometry (const Vec3 &corner, const Vec3 &widthVec, const Vec3 &heightVec, float l, float b, float r, float t)
Geometry * | osg::createTexturedQuadGeometry (const Vec3 &corner, const Vec3 &widthVec, const Vec3 &heightVec, float s=1.0f, float t=1.0f)

## Macro Definition Documentation

## OSG_DEPRECATED_GEOMETRY_BINDING

#define OSG_DEPRECATED_GEOMETRY_BINDING 1

## OSG_GEOMETRY

#define OSG_GEOMETRY 1